<html><body>
<style>

body, h1, h2, h3, div, span, p, pre, a {
  margin: 0;
  padding: 0;
  border: 0;
  font-weight: inherit;
  font-style: inherit;
  font-size: 100%;
  font-family: inherit;
  vertical-align: baseline;
}

body {
  font-size: 13px;
  padding: 1em;
}

h1 {
  font-size: 26px;
  margin-bottom: 1em;
}

h2 {
  font-size: 24px;
  margin-bottom: 1em;
}

h3 {
  font-size: 20px;
  margin-bottom: 1em;
  margin-top: 1em;
}

pre, code {
  line-height: 1.5;
  font-family: Monaco, 'DejaVu Sans Mono', 'Bitstream Vera Sans Mono', 'Lucida Console', monospace;
}

pre {
  margin-top: 0.5em;
}

h1, h2, h3, p {
  font-family: Arial, sans serif;
}

h1, h2, h3 {
  border-bottom: solid #CCC 1px;
}

.toc_element {
  margin-top: 0.5em;
}

.firstline {
  margin-left: 2 em;
}

.method  {
  margin-top: 1em;
  border: solid 1px #CCC;
  padding: 1em;
  background: #EEE;
}

.details {
  font-weight: bold;
  font-size: 14px;
}

</style>

<h1><a href="sasportal_v1alpha1.html">SAS Portal API</a> . <a href="sasportal_v1alpha1.installer.html">installer</a></h1>
<h2>Instance Methods</h2>
<p class="toc_element">
  <code><a href="#close">close()</a></code></p>
<p class="firstline">Close httplib2 connections.</p>
<p class="toc_element">
  <code><a href="#generateSecret">generateSecret(body=None, x__xgafv=None)</a></code></p>
<p class="firstline">Generates a secret to be used with the ValidateInstaller method</p>
<p class="toc_element">
  <code><a href="#validate">validate(body=None, x__xgafv=None)</a></code></p>
<p class="firstline">Validates the identity of a Certified Professional Installer (CPI).</p>
<h3>Method Details</h3>
<div class="method">
    <code class="details" id="close">close()</code>
  <pre>Close httplib2 connections.</pre>
</div>

<div class="method">
    <code class="details" id="generateSecret">generateSecret(body=None, x__xgafv=None)</code>
  <pre>Generates a secret to be used with the ValidateInstaller method

Args:
  body: object, The request body.
    The object takes the form of:

{ # Request for GenerateSecret method] [spectrum.sas.portal.v1alpha1.DeviceManager.GenerateSecret].
  }

  x__xgafv: string, V1 error format.
    Allowed values
      1 - v1 error format
      2 - v2 error format

Returns:
  An object of the form:

    { # Response for GenerateSecret method.
    &quot;secret&quot;: &quot;A String&quot;, # The secret generated by the string and used by [ValidateInstaller] method.
  }</pre>
</div>

<div class="method">
    <code class="details" id="validate">validate(body=None, x__xgafv=None)</code>
  <pre>Validates the identity of a Certified Professional Installer (CPI).

Args:
  body: object, The request body.
    The object takes the form of:

{ # Request for ValidateInstaller method.
    &quot;encodedSecret&quot;: &quot;A String&quot;, # Required. JSON Web Token signed using a CPI private key. Payload must include a &quot;secret&quot; claim whose value is the secret.
    &quot;installerId&quot;: &quot;A String&quot;, # Required. Unique installer id (cpiId) from the Certified Professional Installers database.
    &quot;secret&quot;: &quot;A String&quot;, # Required. Secret returned by the GenerateSecret method.
  }

  x__xgafv: string, V1 error format.
    Allowed values
      1 - v1 error format
      2 - v2 error format

Returns:
  An object of the form:

    { # Response for ValidateInstaller method] [spectrum.sas.portal.v1alpha1.DeviceManager.ValidateInstaller].
  }</pre>
</div>

</body></html>